Upstream information

CVE-2015-0860 at MITRE

Description

Off-by-one error in the extracthalf function in dpkg-deb/extract.c in the dpkg-deb component in Debian dpkg 1.16.x before 1.16.17 and 1.17.x before 1.17.26 allows remote attackers to execute arbitrary code via the archive magic version number in an "old-style" Debian binary package, which triggers a stack-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
SUSE Bugzilla entry: 957160 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • update-alternatives >= 1.16.10-12.6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-639
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Containers 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • update-alternatives >= 1.16.10-12.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-639


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 sles12sp1-docker-image Released
SUSE Linux Enterprise Module for Containers 12 sles12sp1-docker-image Released
SUSE Linux Enterprise Server 12 sles12sp1-docker-image Released
SUSE Linux Enterprise Server 12 SP3 sles12sp1-docker-image Released
SUSE Linux Enterprise Server 12 SP4 sles12sp1-docker-image Released
SUSE Linux Enterprise Server 12 SP5 sles12sp1-docker-image Released
SUSE Linux Enterprise Server for SAP Applications 12 sles12sp1-docker-image Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 sles12sp1-docker-image Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 sles12sp1-docker-image Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 sles12sp1-docker-image Released
SUSE Linux Enterprise Software Bootstrap Kit 12 dpkg Released